Bug 1282614 - [abrt] empathy: _XInternAtom(): empathy-chat killed by SIGSEGV
[abrt] empathy: _XInternAtom(): empathy-chat killed by SIGSEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6907ffa520d2b2975631ad94dbe...
:
: 1273556 1298625 (view as bug list)
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-16 16:51 EST by Vít Ondruch
Modified: 2016-02-10 11:32 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 11:32:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.76 KB, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: cgroup (215 bytes, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: core_backtrace (5.75 KB, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: dso_list (18.69 KB, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: environ (771 bytes, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: exploitable (95 bytes, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: maps (91.89 KB, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: mountinfo (3.60 KB, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: open_fds (1.52 KB, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-11-16 16:52 EST, Vít Ondruch
no flags Details

  None (edit)
Description Vít Ondruch 2015-11-16 16:51:58 EST
Version-Release number of selected component:
empathy-3.12.11-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: _XInternAtom
executable:     /usr/libexec/empathy-chat
global_pid:     5069
kernel:         4.3.0-1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XInternAtom at IntAtom.c:76
 #1 XInternAtom at IntAtom.c:175
 #2 gdk_x11_atom_to_xatom_for_display at gdkproperty-x11.c:115
 #3 window_get_workspace at empathy-ui-utils.c:1209
 #4 empathy_move_to_window_desktop at empathy-ui-utils.c:1231
 #5 empathy_chat_window_present_chat at empathy-chat-window.c:2862
 #6 process_tp_chat at empathy-chat-manager.c:224
 #7 handle_channels at empathy-chat-manager.c:270
 #9 handle_channels_context_prepare_cb at base-client.c:2384
 #10 g_simple_async_result_complete at gsimpleasyncresult.c:801

Potential duplicate: bug 1273556
Comment 1 Vít Ondruch 2015-11-16 16:52:03 EST
Created attachment 1095113 [details]
File: backtrace
Comment 2 Vít Ondruch 2015-11-16 16:52:05 EST
Created attachment 1095114 [details]
File: cgroup
Comment 3 Vít Ondruch 2015-11-16 16:52:06 EST
Created attachment 1095115 [details]
File: core_backtrace
Comment 4 Vít Ondruch 2015-11-16 16:52:08 EST
Created attachment 1095116 [details]
File: dso_list
Comment 5 Vít Ondruch 2015-11-16 16:52:10 EST
Created attachment 1095117 [details]
File: environ
Comment 6 Vít Ondruch 2015-11-16 16:52:11 EST
Created attachment 1095118 [details]
File: exploitable
Comment 7 Vít Ondruch 2015-11-16 16:52:13 EST
Created attachment 1095119 [details]
File: limits
Comment 8 Vít Ondruch 2015-11-16 16:52:15 EST
Created attachment 1095120 [details]
File: maps
Comment 9 Vít Ondruch 2015-11-16 16:52:16 EST
Created attachment 1095121 [details]
File: mountinfo
Comment 10 Vít Ondruch 2015-11-16 16:52:18 EST
Created attachment 1095122 [details]
File: namespaces
Comment 11 Vít Ondruch 2015-11-16 16:52:19 EST
Created attachment 1095123 [details]
File: open_fds
Comment 12 Vít Ondruch 2015-11-16 16:52:20 EST
Created attachment 1095124 [details]
File: proc_pid_status
Comment 13 Vít Ondruch 2015-11-16 16:52:22 EST
Created attachment 1095125 [details]
File: var_log_messages
Comment 14 Vít Ondruch 2015-11-17 04:49:21 EST
Ray,

This is issue just on Wayalnd session, so you probably want to check.
Comment 15 Kamil Páral 2015-11-20 08:12:22 EST
Vít, do you have a reproducer?
Comment 16 Vít Ondruch 2015-11-20 08:37:17 EST
(In reply to Kamil Páral from comment #15)
> Vít, do you have a reproducer?

Any time I open Emphaty's contact list and double click on some contact, it crashes. Nothing more complex.
Comment 17 Petr Schindler 2016-01-07 07:38:12 EST
Another user experienced a similar problem:

I tried to open conversation by doubleclicking on a contact.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: _XInternAtom
executable:     /usr/libexec/empathy-chat
global_pid:     9126
kernel:         4.4.0-0.rc6.git1.1.fc24.x86_64
package:        empathy-3.12.11-1.fc24
reason:         empathy-chat killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Petr Schindler 2016-01-07 08:23:31 EST
I propose this as a Final blocker as it violates the criterion: "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test.

All applications installed by default in Fedora Workstation must comply with each MUST and MUST NOT guideline in the Applications and Launchers policy."

New conversations cannot be opened which makes this application useless. This bug appears only on wayland.
Comment 19 Michael Catanzaro 2016-01-16 00:22:37 EST
*** Bug 1273556 has been marked as a duplicate of this bug. ***
Comment 20 Michael Catanzaro 2016-01-16 00:31:53 EST
Hm, we've just removed Empathy from the default install, due to lack of upstream maintenance, serious usability issues, and WebKit1 dependency... so this should not be a blocker (unless we revert that decision, in which case I agree it should be).

By the way, the issue is that Empathy makes a bunch of incorrect assumptions about GDK types. For instance:

  screen = gtk_window_get_screen (window);
  xscreen = gdk_x11_screen_get_xscreen (screen);

There Empathy gets a GdkWaylandScreen from gtk_window_get_screen, and tries to use it as a GdkX11Screen. It might have crashed right there, but made it a few lines further due to luck. There's an example of how to guard use of windowing system-specific APIs at https://git.gnome.org/browse/empathy/commit/?id=193e853c8b0d3c1222d7565eb209354f460cad9b from when I last fixed a crash issue like this; clearly I missed a spot.
Comment 21 Michael Catanzaro 2016-01-16 01:35:52 EST
I pushed a fix upstream (but can't copy-paste the link here because WebKit doesn't have Wayland clipboard support yet).

I prepared an update for rawhide, but don't have permission to push it. Brian, can you please add group::gnome-sig to the ACLs for Empathy on admin.fedoraproject.org/pkgdb?
Comment 22 Petr Schindler 2016-01-18 12:48:27 EST
Discussed at 2016-01-18 blocker review meeting: [1]. 

This bug was rejected as a Final blocker: Empathy was dropped from the default Workstation package set (and is not in any other release-blocking package set), so this does not violate the criterion

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2016-01-18/f24-blocker-review.2016-01-18-17.02.html
Comment 23 Rex Dieter 2016-02-10 11:31:43 EST
*** Bug 1298625 has been marked as a duplicate of this bug. ***
Comment 24 Rex Dieter 2016-02-10 11:32:49 EST
%changelog
* Wed Feb 10 2016 Rex Dieter <rdieter@fedoraproject.org> - 3.12.11-3
- pull in upstream fixes (wayland crasher, in particular)
- %%build: --disable-schemas-compile --disable-silent-rules
- scriptlet fixes

Note You need to log in before you can comment on or make changes to this bug.